// Arquivo de exemplo: Update.aspx.cs
using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Web.Configuration;

public partial class Update : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ConnectionStringSettings getString = WebConfigurationManager.ConnectionStrings["nwind"] as ConnectionStringSettings;
            if (getString != null)
            {
                string sSql = "Select ProductID,ProductName from Products";
                using (SqlConnection conn = new SqlConnection(getString.ConnectionString))
                {

                    try
                    {
                        SqlCommand cmd = new SqlCommand(sSql, conn);
                        DataSet ds = new DataSet();
                        SqlDataAdapter adapter = new SqlDataAdapter(sSql, conn);

                        adapter.InsertCommand =
                        new SqlCommand("Insert into Products (ProductName)values(@Produto)", conn);
                        adapter.InsertCommand.Parameters.Add("@Produto", SqlDbType.NVarChar, 40,
                        "ProductName");
                        adapter.Fill(ds, "Produtos");

                        DataRow linha = ds.Tables["Produtos"].NewRow();
                        linha["ProductName"] = "Novo produto";
                        ds.Tables["Produtos"].Rows.Add(linha);

                        int i = adapter.Update(ds, "Produtos");
                        if (i > 0)
                        {
                            Response.Write("Item atualizado com sucesso.");
                        }
                    }
                    catch (SqlException)
                    {
                        Response.Write("Erro SQL.");
                    }
                    catch (InvalidOperationException)
                    {
                        Response.Write("Operação inválida.");
                    }
                    catch (Exception ex)
                    {
                        Response.Write("Erro ao executar código.");
                    }
                }
            }
        }
    }
}
